<template>
    <div class="it-header-wrapper">
        <div class="it-header-slim-wrapper">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="it-header-slim-wrapper-content">
                            <a class="d-none d-lg-block navbar-brand" href="https://www.opencontent.it/">Opencontent</a>
                            <div class="nav-mobile">
                                <nav>
                                    <a class="it-opener d-lg-none" data-toggle="collapse" href="#menu-principale" role="button" aria-expanded="false" aria-controls="menu-principale">
                                        <span>Opencontent</span>
                                    </a>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="it-nav-wrapper">
            <div class="it-header-center-wrapper theme-dark">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="it-header-center-content-wrapper">
                                <div class="it-brand-wrapper">
                                    <router-link to="/">
                                        <img class="w-25" src="OpencontentLogo.png">
                                        <div class="it-brand-text">
                                            <h2 class="no_toc">Form Manager JS</h2>
                                            <h3 class="no_toc d-none d-md-block">Builder componenti form.io</h3>
                                        </div>
                                    </router-link>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="it-header-navbar-wrapper">
                <div class="container">
                    <div class="row">
                        <div class="col-12">

                            <nav class="navbar navbar-expand-lg has-megamenu">
                              <button class="custom-navbar-toggler" type="button" aria-controls="nav1" aria-expanded="false" aria-label="Mostra/Nascondi la navigazione" data-bs-toggle="navbarcollapsible" data-bs-target="#nav1">
                                <svg class="icon">
                                        <use xlink:href="bootstrap-italia/dist/svg/sprites.svg#it-burger"></use>
                                    </svg>
                                </button>
                                <div class="navbar-collapsable" id="nav1">
                                    <div class="overlay"></div>
                                    <div class="close-div">
                                      <button class="btn close-menu" type="button">
                                        <span class="visually-hidden">Nascondi la navigazione</span>
                                        <svg class="icon">
                                          <use href="bootstrap-italia/dist/svg/sprites.svg#it-close-big"></use>
                                        </svg>
                                      </button>
                                    </div>
                                    <div class="menu-wrapper">
                                        <ul class="navbar-nav">
                                            <li class="nav-item dropdown megamenu">
                                                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false" id="megamenu1">
                                                    <span>Servizi</span>
                                                  <svg class="icon icon-xs">
                                                    <use href="bootstrap-italia/dist/svg/sprites.svg#it-expand"></use>
                                                  </svg>
                                                </a>
                                                <div class="dropdown dropdown-menu">
                                                    <div class="link-list-wrapper">
                                                        <ul class="link-list">
                                                            <li>
                                                                <h3 class="no_toc" id="heading">Tipologia</h3>
                                                            </li>
                                                            <li><router-link :to="{path:'/services', query: {tag: 'component'}}" class="list-item"><span>Componenti</span></router-link></li>
                                                            <li><router-link :to="{path:'/services', query: {tag: 'basic'}}" class="list-item"><span>Base</span></router-link></li>
                                                            <li><router-link :to="{path:'/services', query: {tag: 'custom'}}" class="list-item"><span>Personalizzati</span></router-link></li>
                                                            <li><span class="divider"></span></li>
                                                            <li><router-link :to="{path:'/services'}" class="list-item"><span>Tutti</span></router-link></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </li>
                                            <li class="nav-item"><router-link :to="{path:'/builder'}" class="nav-link"><span>Creazione servizi</span><span class="sr-only">current</span></router-link></li>
                                        </ul>
                                    </div>
                                </div>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
  name: 'HeaderVue',
};
</script>

<style scoped>

</style>
